# GViewer   中控程序 
- 2019-11-18 11:03:56

<img src="test.ui.png" alt="Image text" style="zoom: 67%;" />



## 方法说明:

| 方法名称        | 说明                               | 代码                                                         |
| :-------------- | ---------------------------------- | ------------------------------------------------------------ |
| FONTSIZE        | 修改按钮字体大小或者文本框文字大小 |                                                              |
| FONTCOLOR       | 修改按钮字体颜色或者文本框文字颜色 |                                                              |
| TEXT            | 修改按钮文字或者文本框文字         |                                                              |
| POS             | 移动View 的位置                    |                                                              |
| SIZE            | 设置View 的宽、高                  |                                                              |
| IMAGEPIC        | 修改Image，Button 的图片           |                                                              |
| BUTTONDOWNIMAGE | 修改Image，Button 按下的图片       |                                                              |
| BARNODEPOSITION | 修改进度条的值                     |                                                              |
| APPJUMP         | 更具包名跳转到指定的app界面        | BroadcastChangeProperty(FindGUIObject('ddd'),'APPJump', "com.android.browser"); |
| IOLIGHT         | UT-13、 UT-10 灯光控制             | BroadcastChangeProperty(FindGUIObject('ddd'),'IOLight',0x41); |
| ASGIF           | 加载GIF 动画                       | BroadcastChangeProperty(FindGUIObject('imageOne'),'ASGif','images\\321.gif'); |
| HIDEVIEW        | 隐藏View                           | BroadcastChangeProperty(FindGUIObject('eee'),'hideview',''); |
| SHOWVIEW        | 显示View                           | BroadcastChangeProperty(FindGUIObject('eee'),'showview',''); |
|                 |                                    |                                                              |



## 版本计划 :

- [x] 字体适配
- [ ] 层级错乱
- [x] 标准版 隐藏按钮接口
- [x] 长时间后台运行后，通讯服务断开//增加后台运行
- [ ] pad 在线/离线 触发特定function 更新同步平板按钮状态 中控增加新的接口
- [ ] 需要viewlist功能 自定义大小 自定义行数 自定义数据 返回当前数据 单级别
- [ ] bar型控件 left to right 定位
- [ ] GIF单次/永久播放
- [ ]  一个加载rtsp
- [ ] 一个加载mjpeg  / http//..... 4通道
- [ ] text型的控件 可以设置成穿透
- [ ] 上传UI到gviewer 手动复制到images文件夹后的图片加载butten会出错，重新打开gedit软件后上传变正常；
- [ ] 手势触发function 中控增加新的接口
- [ ] 搜索框,发送
- [ ] 修改Toast 圆角
- [ ] GIF播放问题。 启动播放，手动播放，暂停，循环次数。
- [ ] 动态改变App图标
- [ ] 动态改变App名称